libGDX 1.4.1 released

Time for a new release, here’s the changelog:

In addition to the changes in the main repository, we have two new extensions (which are maintained outside the libGDX repository).

  • gdx-ai contains all kinds of nice stuff, from state machines to steering behaviours.
  • gdx-pay is our in-app purchase API which is currently a work in progress.

Very Important

We updated to all the latest 3rd party tools we use. This implies that you have to update a few things on your end:

  • Eclipse 4.4.x users MUST update to the latest Gradle Integration (3.6.2+). Update URL: http://dist.springsource.com/release/TOOLS/gradle
  • Eclipse users MUST update to the latest RoboVM Plugin (1.0.0-alpha-04). Update URL: http://download.robovm.org/eclipse/
  • Intellij IDEA users MUST update to 13.1.5+ because older versions don’t support Gradle 2.1, which is required by the Android plugin
  • Update your Android SDK build tools to the latest (20) and for good measure also get the latest Android version (20) via your Android SDK manager
  • You MUST update XCode to the latest version (6.0.1+). Make sure you open it once and agree to the license

In addition to this, you may experience a few minor issues with RoboVM which we hope to resolve in upcoming RoboVM releases:

  • If you want to deploy to a device that has been restarted recently, you MUST deploy a demo app via XCode first. The reason being that the library we use to deploy apps to a device hasn’t been updated for the latest XCode/iOS versions. Simply create a new XCode iOS project and run it once. We hope to resolve this issue soon
  • You can now specify what type of simulator you want to start via the Gradle command line or within the Eclipse Launch Configuration of your iOS project. If your app fails to launch on the simulator, go to the launch configuration and select a different simulator. Old launch configurations can’t be migrated properly.

Let us know if you run into any issues. See this wiki article on how to update your libGDX project to the latest version. The current libGDX version is “1.4.1”, the current nightly version is “1.4.2-SNAPSHOT”, OR you can just check our all new versions page which details all the versions of dependencies as well. Thanks Tomski!

If you migrate an old project and want to support iOS 8, you MUST add new launch images, see the x3.png files here.

Happy coding!

6 thoughts on “libGDX 1.4.1 released

  1. Setup now uses Gradle 2.1 with default Android API level 20, build tools 20.0.0

    well, it is still API level 19

Leave a Reply

Your email address will not be published.